org.apache.felix.http.cometd.internal

## Class CometdActivator

- java.lang.Object
- - org.apache.felix.http.base.internal.AbstractActivator
  - - org.apache.felix.http.cometd.internal.CometdActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public final class CometdActivator
    extends AbstractActivator

### Constructor Summary

Constructors
Constructor and Description
`CometdActivator()`

### Method Summary

Methods
`protected void` `doStart()`
`protected void` `doStop()`

### Methods inherited from class org.apache.felix.http.base.internal.AbstractActivator

`getBundleContext, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CometdActivator

    public CometdActivator()

### Method Detail

#### doStart

    protected void doStart()
                    throws java.lang.Exception

Specified by:
  `doStart` in class `AbstractActivator`
Throws:
  `java.lang.Exception`

#### doStop

    protected void doStop()
                   throws java.lang.Exception

Specified by:
  `doStop` in class `AbstractActivator`
Throws:
  `java.lang.Exception`